version: v1alpha1
persist: true
machine:
  type: worker
  token: zfes24.9om4hpdzzdppi3ee
  ca:
    crt: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSUJQakNCOGFBREFnRUNBaEF6aWZKK0tuMDVJWCtrZW0vN3ZsOElNQVVHQXl0bGNEQVFNUTR3REFZRFZRUUsKRXdWMFlXeHZjekFlRncweU5qQXhNVEl4TURJMk1EUmFGdzB6TmpBeE1UQXhNREkyTURSYU1CQXhEakFNQmdOVgpCQW9UQlhSaGJHOXpNQ293QlFZREsyVndBeUVBZTZIL3pETDF0Z0d0NTd3dndoT2o1bnE0N1NWcWFoR2VybzBxCnlDVDN4NTZqWVRCZk1BNEdBMVVkRHdFQi93UUVBd0lDaERBZEJnTlZIU1VFRmpBVUJnZ3JCZ0VGQlFjREFRWUkKS3dZQkJRVUhBd0l3RHdZRFZSMFRBUUgvQkFVd0F3RUIvekFkQmdOVkhRNEVGZ1FVL0xWYTFMeHlBT3RNQlV1Two0Q3c0WlFUS2JJOHdCUVlESzJWd0EwRUFjVFY3ZGRReklyTld5SERpOTdLWXNKbTN0WDRFNER4b2lpTVAwR2lkCjE2R0VpQXhzUDZQcUU1R1Q3YWI4enJSUkFwMnJqMmg4UHNDa1lmUmZJTGthRHc9PQotLS0tLUVORCBDRVJUSUZJQ0FURS0tLS0tCg==
    key: ""
  kubelet:
    image: ghcr.io/siderolabs/kubelet:v1.32.0
    nodeIP:
      validSubnets:
        - 100.64.0.0/10
    extraArgs:
      rotate-certificates: "true"
  install:
    image: factory.talos.dev/metal-installer/376567988ad370138ad8b2698212367b8edcb69b5fd68c80be1f2ec7d603b4ba:v1.9.2
  network:
    kubespan:
      enabled: true
      advertiseKubernetesNetworks: true
  features:
    rbac: true
    kubePrism:
      enabled: false
cluster:
  id: 5UMjn5w64NYtiuf8AAdLWdE5MphqsMDIKos4g11oYUU=
  secret: TLCdZbCtfRvcdaD5NdKHshuzCeDtadM3BIs9VOC0XAs=
  controlPlane:
    endpoint: https://o2237cr6ad.qloudcontrol.dev:6443
  clusterName: o2237cr6ad
  network:
    dnsDomain: cluster.local
    podSubnets:
      - 10.100.0.0/16
    serviceSubnets:
      - 10.200.0.0/16
  token: 0b8d77.55af9361c3be5fb8
  ca:
    crt: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSURCVENDQWUyZ0F3SUJBZ0lJSmhxMWlUVmZ1UWt3RFFZSktvWklodmNOQVFFTEJRQXdGVEVUTUJFR0ExVUUKQXhNS2EzVmlaWEp1WlhSbGN6QWVGdzB5TmpBeE1EUXdPVFUzTVRkYUZ3MHpOakF4TURJeE1EQXlNVGRhTUJVeApFekFSQmdOVkJBTVRDbXQxWW1WeWJtVjBaWE13Z2dFaU1BMEdDU3FHU0liM0RRRUJBUVVBQTRJQkR3QXdnZ0VLCkFvSUJBUURFTWJlNzk3NXpHRWg3OUM3Nkh3UnlXYWtBaHEzbzBDcGIzVm5Yb2VlVERGQWRBdGpoWnZ5bEd1U1gKdlVzcDZjYmZCanJMSVZHWDVtUTltTjZucm5XVVhtdXI0V0txY1hKOXBMM2p4RFdJSExqK1pMM1ZXVFVUR3VuRwpFTWhwbDR2VUtHZklvVzEzMnFqNVhtdXEyUENRdXhramZpaGRZNTZ1T1hURXdxd0VVS3EvQ0FqZFl6TFpXQWtYCi94T1V3b0NxZGlvcVlzeldXR3I0cjk1ajEvcEdzSFpCMGhCcnladEtVVWFGSzg3dmJKVUtnSXlnNERhNUZOMHYKS3BwNDljNDJsbitISUQwaEI0Q21zd1ZZY2FUMGVjYU9hbGN1cGhmemVxRFZibmxSTFdtME1BcDlaZnR6TURtcAppV2todGJqRzhEMlJGY0VFU2pPYnBLdzVDS0JSQWdNQkFBR2pXVEJYTUE0R0ExVWREd0VCL3dRRUF3SUNwREFQCkJnTlZIUk1CQWY4RUJUQURBUUgvTUIwR0ExVWREZ1FXQkJSaFV6bFF1TWRwWGpJWHk0SG1wR3RJSG83Unl6QVYKQmdOVkhSRUVEakFNZ2dwcmRXSmxjbTVsZEdWek1BMEdDU3FHU0liM0RRRUJDd1VBQTRJQkFRQjlkNkRUVjd1dgpZc2FwODMwYW44SjVPc1R5UnRWMG5aZzNqNWR2bzVvQkZEbFlpR0xQanVTMGdmeXlEc3ZIb0RHRW4wa3NNOWtJCnptUjhMRW5IbWlTcmZnd2hmeWNoMHNPd3cxd3Qvc0ZSNHFJRVUzc1M5UzFQaXJYWXNUZzh6TGk0MG14bWQzRlAKVHIwWU5OQ2hudXFGeXVGeFVOZ3RXbzN0Y3NneVNaSE9tQXAwLzMwRVRidVUvaVptc0F5NnlDM3hTUkVJakJCeQpmbSs4emptWSt4Q3JrSUFFZU1GNzhESnY5N0Vuc3NpT3lEUllGcFBhdzE0eGpvWU1ieVNmQVphQ1RuaWVSeTNTCjMyYzNtdndmOHNxUjUzMXJEQ1JuajNCS2dXUFdjM2NWQm5UK3FqOENPcXpJT3FPdXo0KzJKSmw5TUJIMWE4bWQKU1QzYXJ1OGFLWGtvCi0tLS0tRU5EIENFUlRJRklDQVRFLS0tLS0K
    key: ""
  discovery:
    enabled: true
    registries:
      kubernetes:
        disabled: true
      service:
        disabled: false
---
apiVersion: v1alpha1
kind: ExtensionServiceConfig
name: tailscale
environment:
  - TS_AUTHKEY=tskey-auth-knx4rCmmMg11CNTRL-Vk4oky2RuXQ7nbH2dd3bXQ1eGM4XvUkt
  - TS_EXTRA_ARGS=--accept-routes
